%{!?extrarelease: %define        extrarelease default }
%{!?extraconfig:  %define        extraconfig  %{nil} }

Name:           turbina
Version:        2.054
Release:        1
Summary:        Software for the MASS
Copyright:      GPL
Group:          Applications/Science
Packager:       Matwey V. Kornilov
Vendor:         The MASS Group
URL:            http://dragon.sai.msu.ru/mass
Source0:        %{name}-%{version}.tar.gz
Source1:        turbina.sh
Source2:        turbina.csh
BuildRoot:      %{_tmppath}/%{name}-root
ExclusiveOS:    linux
Provides:       turbina
Requires:       turbina-data

%define         prefix          /opt/turbina
%define         _prefix         %{prefix}

%description
!!!Put description here!!!

Authors:
--------
        * O. Voziakova <ovoz@sai.msu.ru>
        * N. Shatsky <kolja@sai.msu.ru>

%package -n turbina-data
Group:          Applications/Science
Summary:        Data for software for the MASS
Provides:       turbina-data
Requires:       turbina

%description -n turbina-data
!!!Put description here!!!

%package -n turbina-%{extrarelease}
Group:          Applications/Science
Summary:        Exe file for software for the MASS
Provides:       turbina-exe
Requires:       turbina rs485

%description -n turbina-%{extrarelease}
!!!Put description here!!!

Build options:
--------
./configure : %{extraconfig}

%package -n turbina-utils
Group:          Applications/Science
Summary:        atmos, weif, etc... turbina utils
Provides:       turbina-utils
Requires:       turbina

%description -n turbina-utils
!!!Put description here!!!

%prep
%setup

%build
%configure %{extraconfig}
%{__make}
%{__make} utils

%install
%{__make} DESTDIR=$RPM_BUILD_ROOT install
%{__make} DESTDIR=$RPM_BUILD_ROOT install-utils
%{__install} -c -D -m 755 %{S:1} $RPM_BUILD_ROOT/etc/profile.d/%(basename %{S:1})
%{__install} -c -D -m 755 %{S:2} $RPM_BUILD_ROOT/etc/profile.d/%(basename %{S:2})

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%pre
/usr/sbin/groupadd -r mass 2> /dev/null || :
/usr/sbin/useradd -r -g mass -s /bin/false -c "MASS account" -d %{_prefix}/data mass 2> /dev/null || :
/usr/sbin/usermod mass -A uucp 2> /dev/null || :

%files
%defattr(0644,mass,mass,0755)
%dir %{_prefix}
%dir %{_bindir}
%attr(6755,mass,mass) %{_bindir}/xauth.turbina
%dir %{_prefix}/etc
%dir %{_prefix}/doc
%attr(0644,root,root) /etc/profile.d/turbina.sh
%attr(0644,root,root) /etc/profile.d/turbina.csh
%config %{_prefix}/etc/turbina.cfg
%config %{_prefix}/etc/device.cfg
%config %{_prefix}/etc/status.dat
%{_prefix}/etc/readme
%{_prefix}/doc/help.txt

%files -n turbina-%{extrarelease}
%attr(6755,mass,mass) %{_bindir}/turbina

%files -n turbina-data
%defattr(0644,mass,mass,0755)
%{_prefix}/data

%files -n turbina-utils
%defattr(0644,mass,mass,0755)
%attr(755,mass,mass) %{_bindir}/atmos
%attr(755,mass,mass) %{_bindir}/cnt2asc
%attr(755,mass,mass) %{_bindir}/weif
%attr(755,mass,mass) %{_bindir}/turgraph
%{_prefix}/share/rescripts

