#!/bin/tcsh

setenv PATH "${PATH}:/opt/turbina/bin"

if ( ${?DISPLAY} ) then
	set TMP_DISPLAY=`echo $DISPLAY | cut -d: -f2`
	set XAUTHCOOKIE=`xauth list :${TMP_DISPLAY} | grep MIT-MAGIC-COOKIE`
	if ( ${%XAUTHCOOKIE} ) then
		( setenv XAUTHORITY /opt/turbina/data/.Xauthority ; xauth.turbina add ${XAUTHCOOKIE})
	endif
endif
