/*
*   xauth.c is a part of turbina
*   Copyright (C) 2006, Matwey V. Kornilov
*
*   This program is free software; you can redistribute it and/or modify
*   it under the terms of the GNU General Public License as published by
*   the Free Software Foundation; either version 2 of the License, or
*   (at your option) any later version.
*
*   This program is distributed in the hope that it will be useful,
*   but WITHOUT ANY WARRANTY; without even the implied warranty of
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*   GNU General Public License for more details.
*
*   You should have received a copy of the GNU General Public License
*   along with this program; if not, write to the Free Software
*   Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

#include <unistd.h>
#include <string.h>
#include <errno.h>
#include <stdio.h>
#include <sys/types.h>
#include <sys/stat.h>
      
int main ( int argc, char** argv ) {

	if( setreuid(geteuid(), geteuid()) < 0 )
		perror(0);
	if( setregid(getegid(), getegid()) < 0 )
		perror(0);

	if ( argc > 2 && strncmp(argv[1],"add",3) == 0 ) {
		return execv( "/usr/X11R6/bin/xauth", argv );
	}
	
	return 0;
}
